Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.querybuilder
Class QueryBuilder

    java.lang.Object
      com.sun.mdm.index.querybuilder.QueryBuilder

Direct Known Subclasses:
  BasicQueryBuilder, BlockerQueryBuilder

public abstract class QueryBuilder
extends java.lang.Object

QueryBuilder takes criteria and options and transforms them into a set of zero or more query objects.

Constructor Summary
`QueryBuilder()`

Method Summary
`abstract QueryObject` | `buildQueryObject(java.lang.String[] ids, SearchCriteria crit, SearchOptions opts)` Build the query objects
`abstract java.lang.String[]` | `getApplicableQueryIds(SearchCriteria crit, SearchOptions opts)` A query builder can build more than one query object for a given system object input.
`abstract void` | `init(ConfigurationInfo info)` Initialize the builder
`boolean` | `isPhoneticizeRequired()` Return true if phoneticization required
`boolean` | `isStandardizeRequired()` Return true if Standardization required
`void` | `setPhoneticizeRequired(boolean val)` Set phoneticize required
`void` | `setStandardizeRequired(boolean val)` Set standardize required

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryBuilder

    public QueryBuilder()

Method Detail

### buildQueryObject

    public abstract QueryObject buildQueryObject(java.lang.String[] ids,
                                                 SearchCriteria crit,
                                                 SearchOptions opts)
                                          throws QueryBuilderException

  Build the query objects

  Parameters:
    `ids` - applicable ids
    `crit` - search criteria
    `opts` - search options
  Returns:
    query objects
  Throws:
    `QueryBuilderException` - an error occured

### getApplicableQueryIds

    public abstract java.lang.String[] getApplicableQueryIds(SearchCriteria crit,
                                                             SearchOptions opts)
                                                      throws QueryBuilderException

  A query builder can build more than one query object for a given system object input. This method returns an array of applicable ids for each query object.

  Parameters:
    `crit` - Search criteria
    `opts` - Search options
  Returns:
    applicable id array
  Throws:
    `QueryBuilderException` - an error occured

### init

    public abstract void init(ConfigurationInfo info)
                       throws QueryBuilderException

  Initialize the builder

  Parameters:
    `info` - configuration info
  Throws:
    `QueryBuilderException` - an error occured

### isPhoneticizeRequired

    public boolean isPhoneticizeRequired()

  Return true if phoneticization required

  Returns:
    true or false

### isStandardizeRequired

    public boolean isStandardizeRequired()

  Return true if Standardization required

  Returns:
    true or false

### setPhoneticizeRequired

    public void setPhoneticizeRequired(boolean val)

  Set phoneticize required

  Parameters:
    `val` - phoneticize required

### setStandardizeRequired

    public void setStandardizeRequired(boolean val)

  Set standardize required

  Parameters:
    `val` - standardize required

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.